Get a package
curl --request GET \
--url https://sandbox-api.sakawave.example/v1/bill-payments/packages/{packageId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.sakawave.example/v1/bill-payments/packages/{packageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox-api.sakawave.example/v1/bill-payments/packages/{packageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "01KZXPYGX5VZXDH9VHJ4YTPCC1",
"billerId": "01KZXPYGX5VZXDH9VHJ4YTPCB9",
"name": "5GB Monthly",
"slug": "example-telco-5gb",
"amount": "3000.00",
"currency": "NGN",
"isFixedAmount": true,
"status": "active"
}{
"statusCode": 400,
"message": "Must be a valid identifier.",
"code": "validation_failed",
"errors": [
{
"message": "Must be a valid identifier.",
"field": "accountId",
"code": "custom",
"path": [
"accountId"
]
}
]
}{
"statusCode": 401,
"code": "INVALID_API_KEY",
"message": "Invalid or inactive API credentials."
}{
"statusCode": 404,
"code": "resource_not_found",
"message": "Resource not found."
}{
"statusCode": 429,
"message": "Too many API requests. Try again later.",
"code": "api_key_rate_limit_exceeded",
"retryAfterSeconds": 17
}{
"statusCode": 500,
"code": "internal_server_error",
"message": "An unexpected error occurred."
}Bill payments
Get a package
One package by id — for re-resolving an id you stored.
GET
/
v1
/
bill-payments
/
packages
/
{packageId}
Get a package
curl --request GET \
--url https://sandbox-api.sakawave.example/v1/bill-payments/packages/{packageId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.sakawave.example/v1/bill-payments/packages/{packageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox-api.sakawave.example/v1/bill-payments/packages/{packageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "01KZXPYGX5VZXDH9VHJ4YTPCC1",
"billerId": "01KZXPYGX5VZXDH9VHJ4YTPCB9",
"name": "5GB Monthly",
"slug": "example-telco-5gb",
"amount": "3000.00",
"currency": "NGN",
"isFixedAmount": true,
"status": "active"
}{
"statusCode": 400,
"message": "Must be a valid identifier.",
"code": "validation_failed",
"errors": [
{
"message": "Must be a valid identifier.",
"field": "accountId",
"code": "custom",
"path": [
"accountId"
]
}
]
}{
"statusCode": 401,
"code": "INVALID_API_KEY",
"message": "Invalid or inactive API credentials."
}{
"statusCode": 404,
"code": "resource_not_found",
"message": "Resource not found."
}{
"statusCode": 429,
"message": "Too many API requests. Try again later.",
"code": "api_key_rate_limit_exceeded",
"retryAfterSeconds": 17
}{
"statusCode": 500,
"code": "internal_server_error",
"message": "An unexpected error occurred."
}Error codes
| Status | code | Cause |
|---|---|---|
400 | validation_failed | The id is not a valid identifier. |
404 | resource_not_found | No such package. |
401 | INVALID_API_KEY | The key is missing, invalid, inactive, expired, from the other environment, or blocked by its IP allowlist. |
429 | api_key_rate_limit_exceeded | The per-minute limit for this key was exceeded. |
Authorizations
A secret API key, sent as Authorization: Bearer sk_test_… in sandbox or Bearer sk_live_… in live.
Path Parameters
Package id. A 26-character ULID.
Required string length:
26Pattern:
^[0-7][0-9A-HJKMNP-TV-Z]{25}$Example:
"01K2Z3AB4C5D6E7F8G9HJKMNPQ"
Response
Successful response.
Sakawave’s identifier. Send it as packageId on an enquiry.
Required string length:
26Pattern:
^[0-7][0-9A-HJKMNP-TV-Z]{25}$Example:
"01K2Z3AB4C5D6E7F8G9HJKMNPQ"
A 26-character ULID.
Required string length:
26Pattern:
^[0-7][0-9A-HJKMNP-TV-Z]{25}$Example:
"01K2Z3AB4C5D6E7F8G9HJKMNPQ"
Display text. Not an address.
A decimal display amount returned by transfer APIs. Preserve it as a string.
Pattern:
^-?\d+(?:\.\d+)?$Example:
"25000.00"
ISO 4217. NGN today.
True: pay exactly amount. False with an amount: a suggested default you may override. False with none: you supply the amount.
Available options:
active, inactive